be.fgov.ehealth.seals.protocol.v1

## Class EncodeResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.ResponseType
  - - be.fgov.ehealth.seals.protocol.v1.EncodeResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class EncodeResponse
      extends ResponseType
      implements Serializable

  Response message with encoded data

  Java class for EncodeResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncodeResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
             <sequence minOccurs="0">
               <element name="ApplicationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Response" type="{urn:be:fgov:ehealth:seals:core:v1}ChoiceEncodedDataErrorType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodeResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationName()` Gets the value of the applicationName property.
    `List<ChoiceEncodedDataErrorType>` | `getResponses()` Gets the value of the responses property.
    `void` | `setApplicationName(String value)` Sets the value of the applicationName property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodeResponse

          public EncodeResponse()

  - ### Method Detail

    - #### getApplicationName

          public String getApplicationName()

      Gets the value of the applicationName property.
      Returns:
        possible object is `String`

    - #### setApplicationName

          public void setApplicationName(String value)

      Sets the value of the applicationName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResponses

          public List<ChoiceEncodedDataErrorType> getResponses()

      Gets the value of the responses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responses property.

      For example, to add a new item, do as follows:

              getResponses().add(newItem);

      Objects of the following type(s) are allowed in the list `ChoiceEncodedDataErrorType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.